Signatures

Document Get

GET
/signatures/document/{documentId}/get

Retrieves metadata for a document included in an envelope in JSON format.

  • Use the documentId (a unique document URN) to reference the document that is included into an envelope.
  • The request returns the document data in JSON format.
  • The document can be identified by a unique transactionId (tid).
  • Provide the tid as a query parameter. Covers both regular documents and pre-conversion "original" documents (union query) - externalContext is always null for the latter. A caller who can't see the document gets the same DOCUMENT_ID_INVALID as a nonexistent one; there is no separate access-denied response for this operation.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

documentId*string

The ID(URN) of the document that is included into an envelope.

Query Parameters

tid?string

This is a unique identifier associated with a specific recipient and envelope within a given transaction. It is used to securely validate that the user has the appropriate authorization to perform actions related to that transaction.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/signatures/document/string/get"
{  "result": {    "statusCode": 200,    "message": "OK",    "data": {      "document": {        "id": "09f0b084-e3be-4254-b35a-ceed398a4f43",        "name": "Q3 Sales Report.pdf",        "externalContext": {}      }    }  },  "origin": "GET https://api.doctavian.com/v1/signatures/document/{documentId}/get",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "5e9ae164-5dfa-4835-8723-be51f173b237"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/signatures/document/{documentId}/get",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "ebc76377-5e14-4d26-ba12-657bc44513e4",  "operationId": "68e8d9372b21cca9b77acd34df5558bb"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 500,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/signatures/document/{documentId}/get",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "0054a226-fa06-43db-8135-5d802166efbf",  "operationId": "1f0364f2bb35e16955c22f902ba18e93"}